<template>
    <router-link :to="To" class="group-result">
        <div class="key">
            <div class="name">{{groupValue.literal.display_name}}</div>
            <div class="author">{{groupValue.literal.author}}</div>
        </div>
        <div class="details">
            <div class="stat">
                <Pic :src="dl" type="h" :relative="true"></Pic>
                <div>{{groupValue.literal.downloads}}</div>
            </div>
            <div class="stat">
                <Pic :src="star" type="h" :relative="true"></Pic>
                <div>{{groupValue.literal.stars}}</div>
            </div>
        </div>
    </router-link>
</template>

<style lang='scss' scoped>
    .stat {
        display: flex;
        height: 16px;
        margin: 10px;

        div {
            margin: 0 10px;
        }

        align-items: center;
    }

    .name {
        font-size: 20px;
    }

    .author {
        font-size: 12px;
        color: dodgerblue;
    }

    .group-result {
        box-sizing: border-box;
        color: black;
        font-family: Roboto, sans-serif;
        width: 100%;
        position: relative;
        display: flex;
        justify-content: space-between;
        align-items: center;
        border-bottom: 1px solid darkcyan;
        padding: 20px;
        transition: background-color 0.3s;

        &:hover {
            background-color: #5dacbd66;
        }
    }
</style>

<script lang='ts'>
	import {Component, Vue} from 'vue-property-decorator';
	import Pic from "../../components/Pic.vue";
	import {GroupData} from "../../../../classLibrary/GroupData";
	import {images} from "../../images";
	
	@Component({
		components: {Pic},
		props: {
			groupValue: GroupData
		}
	})
	export default class GroupSearchResult extends Vue {
		private groupValue?: GroupData;

		data() {
			return {
				dl: images.dl,
				star: images.star
			}
		}

		get To(): string {
			return `/group/${this.groupValue!.literal.unique_key}`
		}
	}
</script>
